diff -pruN 4.2.9-4/debian/changelog 4.2.9-5/debian/changelog
--- 4.2.9-4/debian/changelog	2015-02-08 02:00:46.000000000 +0000
+++ 4.2.9-5/debian/changelog	2015-07-08 19:34:29.000000000 +0000
@@ -1,3 +1,14 @@
+ruby-redcloth (4.2.9-5) unstable; urgency=medium
+
+  [ Balasankar C ]
+  * Team upload.
+  * Fix tests to support RSpec 3.x (Closes: #791786)
+
+  [ Christian Hofstaedtler ]
+  * Set Standards-Version to 3.9.6 (no addtl. changes)
+
+ -- Christian Hofstaedtler <zeha@debian.org>  Wed, 08 Jul 2015 21:34:27 +0200
+
 ruby-redcloth (4.2.9-4) unstable; urgency=high
 
   * Team upload.
diff -pruN 4.2.9-4/debian/control 4.2.9-5/debian/control
--- 4.2.9-4/debian/control	2015-02-08 02:00:46.000000000 +0000
+++ 4.2.9-5/debian/control	2015-07-08 19:34:04.000000000 +0000
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Borodaenko <angdraug@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.6.0~), rake (>= 0.8.7~), ruby-rspec (>= 2.4~), ragel
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-redcloth.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-redcloth.git;a=summary
 Homepage: https://github.com/jgarber/redcloth
diff -pruN 4.2.9-4/debian/patches/rspec3-test-fix 4.2.9-5/debian/patches/rspec3-test-fix
--- 4.2.9-4/debian/patches/rspec3-test-fix	1970-01-01 00:00:00.000000000 +0000
+++ 4.2.9-5/debian/patches/rspec3-test-fix	2015-07-08 19:31:37.000000000 +0000
@@ -0,0 +1,29 @@
+Description: Fix tests to run with RSpec 3.x
+ RSpec 3.x redefined the matchers like be_true and be_false to be_truthy and 
+ be_falsey respectively. Fixing the tests to follow those modifications.
+Author: Balasankar C <balasankarc@autistici.org>
+Last-Update: 2015-07-08
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/spec/parser_spec.rb
++++ b/spec/parser_spec.rb
+@@ -11,8 +11,8 @@
+   end
+   
+   it "should have a VERSION" do
+-    RedCloth.const_defined?("VERSION").should be_true
+-    RedCloth::VERSION.const_defined?("STRING").should be_true
++    RedCloth.const_defined?("VERSION").should be_truthy
++    RedCloth::VERSION.const_defined?("STRING").should be_truthy
+   end
+   
+   it "should show the version as a string" do
+@@ -21,7 +21,7 @@
+   end
+   
+   it "should have EXTENSION_LANGUAGE" do
+-    RedCloth.const_defined?("EXTENSION_LANGUAGE").should be_true
++    RedCloth.const_defined?("EXTENSION_LANGUAGE").should be_truthy
+     RedCloth::EXTENSION_LANGUAGE.should_not be_empty
+     RedCloth::DESCRIPTION.should include(RedCloth::EXTENSION_LANGUAGE)
+   end
diff -pruN 4.2.9-4/debian/patches/series 4.2.9-5/debian/patches/series
--- 4.2.9-4/debian/patches/series	2015-02-08 02:00:46.000000000 +0000
+++ 4.2.9-5/debian/patches/series	2015-07-08 19:31:37.000000000 +0000
@@ -1,2 +1,3 @@
+rspec3-test-fix
 0001-restore-extconf.rb.patch
 0001-Filter-out-javascript-links-when-using-filter_html-o.patch
diff -pruN 4.2.9-4/.pc/applied-patches 4.2.9-5/.pc/applied-patches
--- 4.2.9-4/.pc/applied-patches	2015-07-08 22:06:34.016192493 +0000
+++ 4.2.9-5/.pc/applied-patches	2015-07-08 22:06:33.532179254 +0000
@@ -1,2 +1,3 @@
+rspec3-test-fix
 0001-restore-extconf.rb.patch
 0001-Filter-out-javascript-links-when-using-filter_html-o.patch
diff -pruN 4.2.9-4/.pc/rspec3-test-fix/spec/parser_spec.rb 4.2.9-5/.pc/rspec3-test-fix/spec/parser_spec.rb
--- 4.2.9-4/.pc/rspec3-test-fix/spec/parser_spec.rb	1970-01-01 00:00:00.000000000 +0000
+++ 4.2.9-5/.pc/rspec3-test-fix/spec/parser_spec.rb	2012-01-08 16:31:44.000000000 +0000
@@ -0,0 +1,102 @@
+require File.dirname(__FILE__) + '/spec_helper'
+
+describe RedCloth do
+  
+  describe "#new" do
+    it "should accept options" do
+      lambda {
+        RedCloth.new("test", [:hard_breaks])
+      }.should_not raise_error(ArgumentError)
+    end
+  end
+  
+  it "should have a VERSION" do
+    RedCloth.const_defined?("VERSION").should be_true
+    RedCloth::VERSION.const_defined?("STRING").should be_true
+  end
+  
+  it "should show the version as a string" do
+    RedCloth::VERSION::STRING.should == RedCloth::VERSION.to_s
+    RedCloth::VERSION.should == RedCloth::VERSION::STRING
+  end
+  
+  it "should have EXTENSION_LANGUAGE" do
+    RedCloth.const_defined?("EXTENSION_LANGUAGE").should be_true
+    RedCloth::EXTENSION_LANGUAGE.should_not be_empty
+    RedCloth::DESCRIPTION.should include(RedCloth::EXTENSION_LANGUAGE)
+  end
+  
+  it "should not segfault on a badly formatted table" do
+    RedCloth.new(%Q{| one | two |\nthree | four |}).to_html.should =~ /td/
+  end
+  
+  it "should not segfault on a table without a block end" do
+    RedCloth.new("| a | b |\n| c | d |\nh3. foo").to_html.should =~ /h3/
+  end
+  
+  it "should not segfault on a table with empty cells" do
+    RedCloth.new(%Q{|one || |\nthree | four |}).to_html.should =~ /td/
+  end
+  
+  it "should not segfault on an unfinished html block with filter_html" do
+    lambda { RedCloth.new(%Q{<hr> Some text}, [:filter_html]).to_html }.should_not raise_error
+  end
+  
+  it "should parse RedCloth::VERSION in input" do
+    RedCloth.new("RedCloth::VERSION").to_html.should == "<p>#{RedCloth::VERSION::STRING}</p>"
+  end
+  
+  it "should not parse RedCloth::VERSION if it's not on a line by itself" do
+    input = "RedCloth::VERSION won't output the RedCloth::VERSION unless it's on a line all by itself.\n\nRedCloth::VERSION"
+    html = "<p>RedCloth::<span class=\"caps\">VERSION</span> won&#8217;t output the RedCloth::<span class=\"caps\">VERSION</span> unless it&#8217;s on a line all by itself.</p>\n<p>#{RedCloth::VERSION::STRING}</p>"
+    RedCloth.new(input).to_html.should == html
+  end
+  
+  it "should output the RedCloth::VERSION if it's labeled on a line by itself" do
+    input = "RedCloth::VERSION: RedCloth::VERSION"
+    html = "<p>RedCloth::VERSION: #{RedCloth::VERSION::STRING}</p>"
+    RedCloth.new(input).to_html.should == html
+  end
+  
+  it "should output the RedCloth::VERSION if it's labeled in a sentence on a line by itself" do
+    input = "RedCloth version RedCloth::VERSION"
+    html = "<p>RedCloth version #{RedCloth::VERSION::STRING}</p>"
+    RedCloth.new(input).to_html.should == html
+  end
+  
+  it "should output the RedCloth::VERSION in brackets" do
+    input = "The current RedCloth version is [RedCloth::VERSION]"
+    html = "<p>The current RedCloth version is #{RedCloth::VERSION::STRING}</p>"
+    RedCloth.new(input).to_html.should == html
+  end
+  
+  it "should strip carriage returns" do
+    input = "This is a paragraph\r\n\r\nThis is a\r\nline break.\r\n\r\n<div>\r\ntest\r\n\r\n</div>"
+    html = "<p>This is a paragraph</p>\n<p>This is a<br />\nline break.</p>\n<div>\n<p>test</p>\n</div>"
+    RedCloth.new(input).to_html.should == html
+  end
+
+  it "should not add spurious li tags to the end of markup" do
+    input         = "* one\n* two\n* three \n\n"
+    failing_input = "* one\n* two\n* three \n\n\n"
+    RedCloth.new(input).to_html.should_not match(/<li>$/)
+    RedCloth.new(failing_input).to_html.should_not match(/<li>$/)
+  end
+  
+  if RUBY_VERSION > "1.9.0"
+    it "should preserve character encoding" do
+      input = "This is an ISO-8859-1 string"
+      input.force_encoding 'iso-8859-1'
+      output = RedCloth.new(input).to_html
+      
+      output.should == "<p>This is an <span class=\"caps\">ISO</span>-8859-1 string</p>"
+      output.encoding.to_s.should == "ISO-8859-1"
+    end
+    
+    it "should not raise ArgumentError: invalid byte sequence" do
+      s = "\xa3"
+      s.force_encoding 'iso-8859-1'
+      lambda { RedCloth.new(s).to_html }.should_not raise_error
+    end
+  end
+end
diff -pruN 4.2.9-4/spec/parser_spec.rb 4.2.9-5/spec/parser_spec.rb
--- 4.2.9-4/spec/parser_spec.rb	2012-01-08 16:31:44.000000000 +0000
+++ 4.2.9-5/spec/parser_spec.rb	2015-07-08 22:06:33.000000000 +0000
@@ -11,8 +11,8 @@ describe RedCloth do
   end
   
   it "should have a VERSION" do
-    RedCloth.const_defined?("VERSION").should be_true
-    RedCloth::VERSION.const_defined?("STRING").should be_true
+    RedCloth.const_defined?("VERSION").should be_truthy
+    RedCloth::VERSION.const_defined?("STRING").should be_truthy
   end
   
   it "should show the version as a string" do
@@ -21,7 +21,7 @@ describe RedCloth do
   end
   
   it "should have EXTENSION_LANGUAGE" do
-    RedCloth.const_defined?("EXTENSION_LANGUAGE").should be_true
+    RedCloth.const_defined?("EXTENSION_LANGUAGE").should be_truthy
     RedCloth::EXTENSION_LANGUAGE.should_not be_empty
     RedCloth::DESCRIPTION.should include(RedCloth::EXTENSION_LANGUAGE)
   end
